package com.chelvc.cloud.maintain.controller;
import com.chelvc.cloud.vehicle.api.dto.CarouselImagesDTO;
import com.chelvc.cloud.vehicle.api.dto.CurrencyRecordDTO;
import com.chelvc.cloud.vehicle.api.service.CarouselImagesService;
import com.chelvc.cloud.vehicle.api.service.CurrencyRecordService;
import com.chelvc.framework.base.annotation.ResponseWrapping;
import org.apache.dubbo.config.annotation.DubboReference;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * 收益记录接口
 *
 * @author liude
 * @date 2023/4/20
 */
@Validated
@RestController
@ResponseWrapping
public class CurrencyRecordController {
    @DubboReference
    private CurrencyRecordService currencyRecordService;

    /**
     * 用户收益记录列表查询
     *
     * @param
     */
    @GetMapping("/listCurrencyRecord")
    public List<CurrencyRecordDTO> listCurrencyRecord() {
        return this.currencyRecordService.listCurrencyRecord();
    }

    /**
     * 用户获取用户得总收益、本周收益、本月收益、可提现金额
     *
     * @param
     */
    @GetMapping("/getCurrencyRecord")
    public Map<String,Object> getCurrencyRecord() {
        return this.currencyRecordService.getCurrencyRecord();
    }





}
