package com.chelvc.cloud.maintain.controller;

import com.chelvc.cloud.vehicle.api.dto.NoticeDTO;
import com.chelvc.cloud.vehicle.api.service.NoticeService;
import com.chelvc.framework.base.annotation.ResponseWrapping;
import org.apache.dubbo.config.annotation.DubboReference;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;
import javax.validation.Valid;
import java.util.List;

/**
 * 通知配置接口
 *
 * @author liude
 * @date 2023/12/13
 */
@Validated
@RestController
@ResponseWrapping
public class NoticeController {
    @DubboReference
    private NoticeService noticeService;

    /**
     * 查询通知配置列表
     *
     * @param type 查询参数  0-用户端 1-商家端
     * @return 通知配置列表信息
     */
    @GetMapping("/notice/list")
    public List<NoticeDTO> getNoticeList(@Valid String type) {
        return this.noticeService.getNoticeList(type);
    }
}
