package com.chelvc.cloud.maintain.controller;

import com.chelvc.cloud.vehicle.api.dto.TeamDTO;
import com.chelvc.cloud.vehicle.api.param.TeamInvitePageParam;
import com.chelvc.cloud.vehicle.api.param.UserInviteParams;
import com.chelvc.cloud.vehicle.api.service.UserInviteService;
import com.chelvc.framework.base.annotation.ResponseWrapping;
import com.chelvc.framework.base.context.SessionContextHolder;
import lombok.RequiredArgsConstructor;
import org.apache.dubbo.config.annotation.DubboReference;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;

/**
 * 用户邀请接口
 */
@Validated
@RequiredArgsConstructor
@RestController
@RequestMapping("/invite")
@ResponseWrapping
public class UserInviteController {

    @DubboReference
    private UserInviteService userInviteService;

    /**
     * 绑定关系
     * @param param
     * @author igl
     * @date 2024/2/23 17:25
     */
    @PostMapping("/bind")
    public void bindInvite(@Validated @RequestBody UserInviteParams param) {
        this.userInviteService.bindInvite(param);
    }

    /**
     * 我的团队
     * @param param 类型：1-用户；2-商家；不传值-查所有
     * @author igl
     * @date 2024/2/26 10:12
     */
    @GetMapping("/team/page")
    public TeamDTO teamList(@Valid TeamInvitePageParam param) {
        return this.userInviteService.teamList(param, SessionContextHolder.getId());
    }
}
