package com.chelvc.cloud.maintain.vo;

import java.io.Serializable;
import java.util.Date;

import com.chelvc.cloud.uc.api.model.Gender;
import com.chelvc.framework.common.serializer.JacksonEnumerateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 用户个人信息
 *
 * @author Woody
 * @date 2024/2/29
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class PersonalVO implements Serializable {
    /**
     * 用户ID
     */
    private Long id;

    /**
     * 用户性别
     */
    @JsonSerialize(using = JacksonEnumerateSerializer.class)
    private Gender gender;

    /**
     * 用户头像
     */
    private String avatar;

    /**
     * 用户昵称
     */
    private String nickname;

    /**
     * 用户生日
     */
    private Date birthday;
}
